MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
AudioParser.hxx File Reference

Parser functions for audio related objects. More...

`#include "Compiler.h"`
Include dependency graph for AudioParser.hxx:

Go to the source code of this file.

## Functions
gcc_pure AudioFormat | ParseAudioFormat (const char *src, bool mask)
| Parses a string in the form "SAMPLE_RATE:BITS:CHANNELS" into an AudioFormat. More...

## Detailed Description

Parser functions for audio related objects.

Definition in file AudioParser.hxx.

## Function Documentation

gcc_pure AudioFormat ParseAudioFormat | ( | const char * | src,
|  | bool | mask
| ) |  |

Parses a string in the form "SAMPLE_RATE:BITS:CHANNELS" into an AudioFormat.

Throws #std::runtime_error on error.

Parameters

  src | the input string
  mask | if true, then "*" is allowed for any number of items